/*
 * OddsParser
 *
 * 2002-Apr-05
 *
 * This code licensed under the GPL, see http://www.gnu.org/licenses/gpl.txt
 *
 */

package net.bluebones.Gambler;

/**
 * Utility that reads String representations of odds
 */
public class OddsParser {
	
	/**
	 * Parses a String representation of odds and returns a double of the 
	 * decimal odds.
	 *
	 * For example:
	 *
	 * "7/2" becomes 3.5
	 * ".5"  becomes  .5
	 * 
	 * @param s String to parse to decimal odds
	 */
	public static double parse(String s) {
		
		boolean isDenominator = false;
		String nominator = "";
		String denominator = "";
		
		char[] str = s.toCharArray();
	
		for (int i = 0; i < str.length; i++) {
			if (str[i] == '/') {
				isDenominator = true;
			} else if (isDenominator == true) {
				denominator += str[i];
			} else {
				nominator += str[i];
			}
		}
		
		if (denominator.length() > 0) {
			return Double.parseDouble(nominator) 
			    / Double.parseDouble(denominator);
		} else {	
			return Double.parseDouble(nominator);
		}
		
	}
	
		
}